none
Search requires Oracle Server JRE 7 Update 55 or higher, or JRE 8 Update 20 or higher, and a suitable version was not detected or is not correctly configured on this computer. Download and install the latest version of Server JRE and re-run the readiness

    Question

  • Hi,

    I am upgrading TFs 2013 to TFS 2017,During installation TFS 2017 and upgrading existing Database,getting error when configuring Search 

    "Search requires Oracle Server JRE 7 Update 55 or higher, or JRE 8 Update 20 or higher, and a suitable version was not detected or is not correctly configured on this computer. Download and install the latest version of Server JRE and re-run the readiness checks during installation TFS 2017"

    Already instaled  Oracle Server JRE 8 Update 121,

    Kindly suggest.


    Hasan Jamal Siddiqui(MCTS,MCPD,ITIL@V3),Sharepoint and EPM Consultant,TCS

    Sunday, January 29, 2017 5:25 AM

Answers

  • I got the solution,

     As a variable name choose JAVA_HOME and as value set the path of the folder where JRE is installed, which in my case is C:\Program Files\Java\jre1.8.0_11,

    after that issue has been fixed out.


    Hasan Jamal Siddiqui(MCTS,MCPD,ITIL@V3),Sharepoint and EPM Consultant,TCS

    Tuesday, January 31, 2017 7:53 AM

All replies

  • Hi Hasan Hamal Siddiqui,

    Thank you for posting here.

    I suggest that you could remove the JRE in control panel first, then re-install the JRE, after that restart your server, then try to install the TFS2017 again.

    Best Regards

    Limitxiao Gao


    MSDN Community Support
    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.

    Monday, January 30, 2017 7:39 AM
    Moderator
  • Hi Limitxiao,

    I did same many time.but still same issues.


    Hasan Jamal Siddiqui(MCTS,MCPD,ITIL@V3),Sharepoint and EPM Consultant,TCS

    Monday, January 30, 2017 9:58 AM
  • I got the solution,

     As a variable name choose JAVA_HOME and as value set the path of the folder where JRE is installed, which in my case is C:\Program Files\Java\jre1.8.0_11,

    after that issue has been fixed out.


    Hasan Jamal Siddiqui(MCTS,MCPD,ITIL@V3),Sharepoint and EPM Consultant,TCS

    Tuesday, January 31, 2017 7:53 AM
  • I got the solution,

     As a variable name choose JAVA_HOME and as value set the path of the folder where JRE is installed, which in my case is C:\Program Files\Java\jre1.8.0_11,

    after that issue has been fixed out.


    Hasan Jamal Siddiqui(MCTS,MCPD,ITIL@V3),Sharepoint and EPM Consultant,TCS


    This solution worked for Me.
    Friday, March 17, 2017 11:15 AM
  • there're some reason why you should read the installation instructions Set up and administer Microsoft Code Search

    Java installation notes

    If the Search configuration wizard does not detect a working installation of Java Server JRE, it provides an option to download and install the latest version. Internet connectivity is required to download this from the Java website. If the target server does not have Internet connectivity, you must download and install Server JRE manually before attempting to install Code Search.

    During installation, the wizard sets the JAVA_HOME environment variable to point to the Server JRE installation folder. The configuration wizard may fail to detect an existing Server JRE installation if it is not correctly configured, or if the JAVA_HOME setting points to an earlier version than that required by Code Search.

    If there is a version of Server JRE earlier than the minimum required by Code Search, and the JAVA_HOME variable is set to that version, we recommend you install Search on a separate server because changing the value of the JAVA_HOME variable may cause other installed software to fail.

    If there is a version of Server JRE equal to or later than the minimum required by Code Search, and it is not recognized by the configuration wizard, you must set the value of the JAVA_HOME variable to that version as described in the Java troubleshooting guide, and then rerun the configuration wizard.


    Please use "Mark as Answer" if my post solved your problem and use "Vote As Helpful" if a post was useful.


    Friday, March 17, 2017 8:22 PM